RDKit::PatternHolder Class Reference

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::PatternHolder:

## Public Member Functions

| PatternHolder ()
| PatternHolder (unsigned int numBits)
ExplicitBitVect * | makeFingerprint (const ROMol &m) const override
| Caller owns the vector! More...
const unsigned int & | getNumBits () const
unsigned int & | getNumBits ()
Public Member Functions inherited from RDKit::FPHolderBase
virtual | ~FPHolderBase ()
virtual unsigned int | size () const
unsigned int | addMol (const ROMol &m)
| Adds a molecule to the fingerprinter. More...
unsigned int | addFingerprint (ExplicitBitVect *v)
unsigned int | addFingerprint (const ExplicitBitVect &v)
bool | passesFilter (unsigned int idx, const ExplicitBitVect &query) const
| Return false if a substructure search can never match the molecule. More...
const ExplicitBitVect & | getFingerprint (unsigned int idx) const
std::vector< ExplicitBitVect * > & | getFingerprints ()
const std::vector< ExplicitBitVect * > & | getFingerprints () const

## Static Public Member Functions

static unsigned int | defaultNumBits ()

## Detailed Description

Uses the pattern fingerprinter with a user-defined number of bits (default: 2048) to rule out matches

Definition at line 302 of file SubstructLibrary.h.

## Constructor & Destructor Documentation

## PatternHolder() [1/2]

RDKit::PatternHolder::PatternHolder | ( |  | ) |

inline

Definition at line 306 of file SubstructLibrary.h.

## PatternHolder() [2/2]

RDKit::PatternHolder::PatternHolder | ( | unsigned int | numBits | ) |

inline

Definition at line 307 of file SubstructLibrary.h.

## Member Function Documentation

## defaultNumBits()

static unsigned int RDKit::PatternHolder::defaultNumBits | ( |  | ) |

inline static

Definition at line 314 of file SubstructLibrary.h.

## getNumBits() [1/2]

unsigned int& RDKit::PatternHolder::getNumBits | ( |  | ) |

inline

Definition at line 313 of file SubstructLibrary.h.

## getNumBits() [2/2]

const unsigned int& RDKit::PatternHolder::getNumBits | ( |  | ) | const

inline

Definition at line 312 of file SubstructLibrary.h.

## makeFingerprint()

ExplicitBitVect* RDKit::PatternHolder::makeFingerprint | ( | const ROMol & | m | ) | const

inline override virtual

Caller owns the vector!

Implements RDKit::FPHolderBase.

Reimplemented in RDKit::TautomerPatternHolder.

Definition at line 309 of file SubstructLibrary.h.

References RDKit::PatternFingerprintMol().

The documentation for this class was generated from the following file:

- SubstructLibrary.h